
Redmine - Feature #523

Repository: View file at specific revision

2007-12-18 15:46 - Nils Adermann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

You can see a list of commited files when looking at a certain revision of a file. They have links to a diff to the

previous version but it would be useful if you could also download the file in that particular revision like you can

download the latest revision of a file.

History

#1 - 2008-03-15 02:30 - Nils Adermann

I just noticed you just need to append &rev=(revision) to the URL to get it, can't be that difficult to add a simple link, that it takes so long?

#2 - 2009-10-05 00:45 - Mischa The Evil

- Category set to Documentation

- Status changed from New to Closed

- Assignee set to Mischa The Evil

- Resolution set to Fixed

I just came around this issue accidentally and found that this implemented in Redmine devel (trunk @ r2903) at least already.

This is a feature that should be documented much better, therefore I've assigned the issue to myself. Here's the current state in basic:

Let's say we have one file in repo (fileFoo) which contains two revisions (Rev1 and Rev2). You can download fileFoo at Rev1 by either:

Repository -> fileFoo (in the JS repo-tree) -> Rev1 (in the revisions block) -> fileFoo (now at Rev1) -> Download

Repository -> Rev2 (in the Latest revisions block) -> fileFoo (now at Rev2) -> History -> Rev1 (in the revisions block) -> fileFoo (now at Rev1) ->

Download

It should also be possible to use the revision-selector, though that one seems currently broken in the trunk.
